Package logilab :: Package common :: Module optik_ext :: Class OptionParser

[frames] | no frames]

# Class OptionParser

source code

    optparse.OptionContainer --+
                               |
           optparse.OptionParser --+
                                   |
                                  OptionParser

    override optik.OptionParser to use our Option class

Instance Methods

__init__(self, option_class=Option, *args, **kwargs) | source code

format_option_help(self, formatter=None) | source code

Inherited from `optparse.OptionParser`: `add_option_group`, `check_values`, `destroy`, `disable_interspersed_args`, `enable_interspersed_args`, `error`, `exit`, `expand_prog_name`, `format_epilog`, `format_help`, `get_default_values`, `get_description`, `get_option_group`, `get_prog_name`, `get_usage`, `get_version`, `parse_args`, `print_help`, `print_usage`, `print_version`, `set_default`, `set_defaults`, `set_process_default_values`, `set_usage`

Inherited from `optparse.OptionContainer`: `add_option`, `add_options`, `format_description`, `get_option`, `has_option`, `remove_option`, `set_conflict_handler`, `set_description`

Class Variables
Inherited from `optparse.OptionParser`: `standard_option_list`

Method Details

### __init__(self, option_class=Option, *args, **kwargs)
(Constructor)

source code

Overrides: optparse.OptionContainer.__init__

### format_option_help(self, formatter=None)

source code

Overrides: optparse.OptionContainer.format_option_help